/*
 * SintacticoRanking.java
 *
 * Created on 27 de septiembre de 2007, 18:26
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
/* -------------------------------------------------------------------------- */
/* Copyright 2007-2008, Iván Fernández Hernández <rayban1984@gmail.com>       */
/*                                                                            */
/* Licensed under the Apache License, Version 2.0 (the "License"); you may    */
/* not use this file except in compliance with the License. You may obtain    */
/* a copy of the License at                                                   */
/*                                                                            */
/* http://www.apache.org/licenses/LICENSE-2.0                                 */
/*                                                                            */
/* Unless required by applicable law or agreed to in writing, software        */
/* distributed under the License is distributed on an "AS IS" BASIS,          */
/* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   */
/* See the License for the specific language governing permissions and        */
/* limitations under the License.                                             */
/* -------------------------------------------------------------------------- */
package pSintactico;

import java.util.ArrayList;

/**
 *
 * @author globus
 */
public class SintacticoRanking {
    
    /** Creates a new instance of SintacticoRanking */
    
    Lexico lex;
    public SintacticoRanking(String ranking) {
        
        lex = new Lexico(ranking);
    }
    
    
    
    public void Analizar() throws ErrorSintacticoException {
        
        this.AnalizarExpresion2();
        if (lex.actual.tipo.compareTo("PuntoComa") != 0)
            throw new ErrorSintacticoException(lex.getActualIndex(),"; was expected");
        
        
        
    }
    
    
    
    public ArrayList getLexErrores() {
        return lex.errores;
    }
    
    
    public void AnalizarExpresion2() throws ErrorSintacticoException {
        
        lex.Siguiente();
        if (lex.actual.tipo.compareTo("Operador_aritmetico") == 0 &&
                ((Operador_aritmetico)lex.actual).lexema.compareTo("-") == 0) {
            this.lex.Siguiente();
            this.AnalizarExpresion();
        }
        
        
       
        
        
        else {
            
            
            this.AnalizarExpresion();
            while (lex.actual.tipo.compareTo("Operador_aritmetico") == 0 && (
                    ((Operador_aritmetico)lex.actual).lexema.compareTo("+") == 0
                    ||
                    ((Operador_aritmetico)lex.actual).lexema.compareTo("-") == 0||
                    ((Operador_aritmetico)lex.actual).lexema.compareTo("*") == 0||
                    ((Operador_aritmetico)lex.actual).lexema.compareTo("/") == 0)
                    )
                
            {
                lex.Siguiente();
                this.AnalizarExpresion();
            }
            
        }
    }
    
    public void AnalizarExpresion() throws ErrorSintacticoException {
        
        if (lex.actual.tipo.compareTo("Variable") == 0) {
            this.AnalizarVariable();
            
        }
        
        else if (lex.actual.tipo.compareTo("Entero") == 0)
            this.AnalizarEntero();
        
        
         else if (lex.actual.tipo.compareTo("AbreParentesis") == 0) {
            this.lex.Siguiente();
            this.AnalizarExpresion2();
            
            if (lex.actual.tipo.compareTo("CierraParentesis") != 0)
                throw new ErrorSintacticoException(lex.getActualIndex(),"A ) was expected");
            
            lex.Siguiente();
        }
         else
             throw new ErrorSintacticoException(lex.getActualIndex(),"A expression was expected!");
        
    }
    
    public void AnalizarVariable() throws ErrorSintacticoException {
        
        if (lex.actual.tipo.compareTo("Variable") != 0)
            throw new ErrorSintacticoException(lex.getActualIndex(),"A variable was expected!");
        
        lex.Siguiente();
        
        
    }
    
    public void AnalizarEntero() throws ErrorSintacticoException {
        if (lex.actual.tipo.compareTo("Entero") != 0)
            throw new ErrorSintacticoException(lex.getActualIndex(),"An integer was expected!");
        
        lex.Siguiente();
        
    }
    
    
    
    public static void main(String args[]) {
        SintacticoRanking sintax = new SintacticoRanking("(CPU_MHZ + 3)+5*6+(3+234);");
        
        try  {
            sintax.Analizar();
            
        }catch(Exception e) {
            
            System.out.println(e);
            
        };
    }
}
