/*
 * TareaMultiple.java
 *
 * Created on 29 de octubre de 2007, 14:13
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
/* -------------------------------------------------------------------------- */
/* Copyright 2007-2008, Iván Fernández Hernández <rayban1984@gmail.com>       */
/*                                                                            */
/* Licensed under the Apache License, Version 2.0 (the "License"); you may    */
/* not use this file except in compliance with the License. You may obtain    */
/* a copy of the License at                                                   */
/*                                                                            */
/* http://www.apache.org/licenses/LICENSE-2.0                                 */
/*                                                                            */
/* Unless required by applicable law or agreed to in writing, software        */
/* distributed under the License is distributed on an "AS IS" BASIS,          */
/* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   */
/* See the License for the specific language governing permissions and        */
/* limitations under the License.                                             */
/* -------------------------------------------------------------------------- */
package paqInterfaz;

import java.util.Date;

/**
 *
 * @author globus
 */
public class TareaMultiple extends Tarea{
    
    /** Creates a new instance of TareaMultiple */
    int numeroTareas = 0;
    public TareaMultiple() {
        super();
        numeroTareas = 1;

    }
    
    
    public Object clone()
    {
        int a = 2;
        try {
            super.clone();
            
            TareaMultiple clon = new TareaMultiple();
            
            clon.argumentos = new String(this.argumentos);
            
            clon.argumentosPreWrapper = new String(this.argumentosPreWrapper);
            
            clon.checkpointURL = new String(this.checkpointURL);
            
            clon.ejecutable = (Fichero)this.ejecutable.clone();
    
            
            clon.intervaloCheckpoint = this.intervaloCheckpoint;
            
            clon.intervaloPlanificacion = this.intervaloPlanificacion;
            
            clon.nombre = new String(this.nombre);
            
            clon.np = this.np;
            
            clon.numeroReintentos = this.numeroReintentos;
            
            clon.numero_iteracion = this.numero_iteracion;
            
            clon.planificarSiFallo = this.planificarSiFallo;
            
            clon.preWrapper = (Fichero)this.preWrapper.clone();
            
            clon.programa_monitor = (Fichero)this.programa_monitor.clone();
            
            clon.rankingTarea = new String(this.rankingTarea);
            
            clon.requisitosTarea = new String(this.requisitosTarea);
            
            clon.restartFile = (Fichero) this.restartFile.clone();
            
            clon.stderr = (Fichero) this.stderr.clone();
            
            clon.stdin = (Fichero) this.stdin.clone();
            
            clon.stdout = (Fichero) this.stdout.clone();
            
            if (this.tiempoDeadline == null)
                clon.tiempoDeadline = null;
            else
                
            clon.tiempoDeadline = (Date)this.tiempoDeadline.clone();
            
            clon.tiempo_maximo_de_suspension = this.tiempo_maximo_de_suspension;
            
            clon.tipo = this.tipo;
            
            clon.umbralPlanificacion =  this.umbralPlanificacion;
            
            clon.umbral_carga_cpu = this.umbral_carga_cpu;
            
            clon.variables = new String(this.variables);
            
            clon.wrapper = (Fichero)wrapper.clone();
            
            clon.x_pos = this.x_pos;
            
            clon.y_pos = this.y_pos;
            clon.numeroTareas = this.numeroTareas;
            
            return clon;
            
        }catch (CloneNotSupportedException e) {
            return null;
        }
    }
   
    
}
