/*
 * AddFilesDialog.java
 *
 * Created on 26 de septiembre de 2007, 10:54
 */
/* -------------------------------------------------------------------------- */
/* Copyright 2007-2008, Iván Hernández Fernández <rayban1984@gmail.com>       */
/*                                                                            */
/* Licensed under the Apache License, Version 2.0 (the "License"); you may    */
/* not use this file except in compliance with the License. You may obtain    */
/* a copy of the License at                                                   */
/*                                                                            */
/* http://www.apache.org/licenses/LICENSE-2.0                                 */
/*                                                                            */
/* Unless required by applicable law or agreed to in writing, software        */
/* distributed under the License is distributed on an "AS IS" BASIS,          */
/* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   */
/* See the License for the specific language governing permissions and        */
/* limitations under the License.                                             */
/* -------------------------------------------------------------------------- */
package paqInterfaz;

import java.awt.Frame;
import java.awt.List;
import java.util.ArrayList;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;

/**
 *
 * @author  globus
 */
/* -------------------------------------------------------------------------- */
/* Copyright 2007-2008, Iván Fernández Hernández <rayban1984@gmail.com>       */
/*                                                                            */
/* Licensed under the Apache License, Version 2.0 (the "License"); you may    */
/* not use this file except in compliance with the License. You may obtain    */
/* a copy of the License at                                                   */
/*                                                                            */
/* http://www.apache.org/licenses/LICENSE-2.0                                 */
/*                                                                            */
/* Unless required by applicable law or agreed to in writing, software        */
/* distributed under the License is distributed on an "AS IS" BASIS,          */
/* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   */
/* See the License for the specific language governing permissions and        */
/* limitations under the License.                                             */
/* -------------------------------------------------------------------------- */
public class AddInPutFilesDialog extends java.awt.Dialog {
    
    /** Creates new form AddFilesDialog */
    
    public boolean aceptar = false;
    
    ArrayList ficheros;
    
    Frame parent;
    
    TaskEditorDialog interfaz;
    
    SecureFTP conexion = null;
    
    public boolean contiene(Fichero fichero) {
        for (int i = 0;i<ficheros.size();i++) {
            Fichero aux = (Fichero) ficheros.get(i);
            
            if (aux.iguales(fichero) == true)
                return true;
        }
        
        return false;
    }
    
    public AddInPutFilesDialog(java.awt.Frame parent, boolean modal, ArrayList list,TaskEditorDialog interfaz,SecureFTP conexion) {
        super(parent, modal);
        initComponents();
        this.parent = parent;
        this.interfaz = interfaz;
        this.conexion = conexion;
        /*Se copian los item del list que se le pasa como parámetro al objeto list del cuadro de diálogo*/
        
        ficheros = new ArrayList();
        
        
        for (int i = 0;i<list.size();i++) {
            this.list1.add(list.get(i).toString());
            this.ficheros.add(list.get(i));
        }
        
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Código Generado  ">//GEN-BEGIN:initComponents
    private void initComponents() {
        jPanel1 = new javax.swing.JPanel();
        label1 = new java.awt.Label();
        jButton4 = new javax.swing.JButton();
        jButton5 = new javax.swing.JButton();
        jButton1 = new javax.swing.JButton();
        list1 = new java.awt.List();
        jButton3 = new javax.swing.JButton();
        jButton6 = new javax.swing.JButton();

        setAlwaysOnTop(true);
        setResizable(false);
        setTitle("A\u00f1adir Ficheros");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                closeDialog(evt);
            }
        });

        label1.setText("Ficheros:");

        jButton4.setText("Edit");
        jButton4.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jEditarMouseClicked(evt);
            }
        });

        jButton5.setText("Remove");
        jButton5.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jEliminarMouseClicked(evt);
            }
        });

        jButton1.setText("Add File");
        jButton1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jAnadirFicheroMouseClicked(evt);
            }
        });

        jButton3.setText("Accept");
        jButton3.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jAceptarMouseClicked(evt);
            }
        });

        jButton6.setText("Cancelar");
        jButton6.setActionCommand("Cancel");
        jButton6.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jCancelarMouseClicked(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(label1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(59, 59, 59)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jButton3)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(list1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 256, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 13, Short.MAX_VALUE)
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(jButton4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                    .add(jButton5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))))
                .addContainerGap())
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                .add(118, 118, 118)
                .add(jButton1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 171, Short.MAX_VALUE)
                .add(144, 144, 144))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(272, Short.MAX_VALUE)
                .add(jButton6)
                .add(74, 74, 74))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(jPanel1Layout.createSequentialGroup()
                            .add(23, 23, 23)
                            .add(label1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(62, 62, 62))
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                            .addContainerGap()
                            .add(jButton4)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(jButton5)
                            .add(3, 3, 3)))
                    .add(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .add(list1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 134, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jButton1)
                .add(61, 61, 61)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButton6)
                    .add(jButton3))
                .addContainerGap())
        );
        add(jPanel1, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents
    
    private void jCancelarMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jCancelarMouseClicked
        
        this.aceptar = false;
        this.setVisible(false);
    }//GEN-LAST:event_jCancelarMouseClicked
    
    public ArrayList getFiles() {
        return this.ficheros;
    }
    
    public ArrayList getFicheros() {
        return this.ficheros;
    }
    
    private void jAceptarMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jAceptarMouseClicked
        
        this.aceptar = true;
        this.setVisible(false);
    }//GEN-LAST:event_jAceptarMouseClicked
    
    public boolean existeFicheroEnLista(String file) {
        for (int i = 0;i<list1.getItemCount();i++) {
            String aux = list1.getItem(i);
            
            
            if (aux.split(" ").length > 0) {
                String[] sub = aux.split(" ");
                if (sub[sub.length-1].compareTo(file) == 0)
                    return true;
            }
            
            else if (aux.split("/").length > 0) {
                String [] sub = aux.split(" ");
                if (sub[sub.length-1].compareTo(file) == 0)
                    return true;
            }
        }
        
        return false;
    }
    
    
    
    
    public Fichero obtenerFichero(String path) {
        for (int i = 0;i<ficheros.size();i++) {
            Fichero aux = (Fichero) ficheros.get(i);
            
            if (aux.toString().compareTo(path) == 0)
                return aux;
            
        }
        
        return null;
    }
    
    private void jEliminarMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jEliminarMouseClicked
        
        if (this.list1.getSelectedIndex() != -1) {
            
            String fichero_a_eliminar = this.list1.getSelectedItem();
            
            WorkFlow workflow = this.interfaz.interfaz.workflow_actual;
            Fichero ficheroseleccionado = this.obtenerFichero(list1.getSelectedItem());
            
            if (workflow.existeDependenciaDelFichero(this.interfaz.tarea, ficheroseleccionado) == true) {
                
                JOptionPane dialog = new JOptionPane();
                String string1 = "Sí";
                String string2 = "No";
                Object[] options = {string1, string2};
                int n = JOptionPane.showOptionDialog(null,
                        "The selected file depends on another task. This input file will be removed but it will not be removed the output file of the task that it depends on. Would you like to continue?",
                        "Caution",
                        JOptionPane.YES_NO_OPTION,
                        JOptionPane.QUESTION_MESSAGE,
                        null,     //don't use a custom Icon
                        options,  //the titles of buttons
                        string2); //the title of the default button
                
                
                if (n == 1)
                    return;
                
                Fichero eliminado = this.eliminaFicheroFromList(ficheroseleccionado);
                this.interfaz.tarea.eliminaFicheroEntrada(eliminado);
            }
            /*Se elimina del arraylist de ficheros*/
            Fichero eliminado = this.eliminaFicheroFromList(ficheroseleccionado);
            this.list1.remove(this.list1.getSelectedIndex());
            
            
            
            this.interfaz.interfaz.workflow_actual.eliminarFicherodeDependencia(this.interfaz.tarea,eliminado);
            
            
            
        }
    }//GEN-LAST:event_jEliminarMouseClicked
    
    public Fichero eliminaFicheroFromList(Fichero fichero) {
        for (int i = 0;i<this.ficheros.size();i++) {
            Fichero aux = (Fichero) this.ficheros.get(i);
            if (fichero.iguales(aux) == true) {
                this.ficheros.remove(aux);
                return aux;
            }
        }
        
        return null;
    }
    
    
    private void jEditarMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jEditarMouseClicked
        
        if (list1.getSelectedIndex() != -1) {
            String aux = this.list1.getSelectedItem();
            ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////
            
            /*En este punto se va a comprobar si alguna tarea depende de los ficheros de salida para
             esta tarea y así avisar para la edición y modificación en cascada.*/
            
            
            
            WorkFlow workflow = this.interfaz.interfaz.workflow_actual;
            Fichero ficheroseleccionado = this.obtenerFichero(list1.getSelectedItem());
            
            
            AddInputFile dialogoedicionfichero = new AddInputFile(parent,true,ficheroseleccionado.getSource(),ficheroseleccionado.getDest(),false,conexion,ficheroseleccionado.fichero_local);
            
            
            dialogoedicionfichero.setVisible(true);
            
            if (dialogoedicionfichero.aceptar == true) {
                Fichero editado = dialogoedicionfichero.getFichero();
                /*Se elimina del arraylist de ficheros*/
                
                
                Fichero eliminado = this.eliminaFicheroFromList(ficheroseleccionado);
                if (editado.fichero_local == eliminado.fichero_local && editado.origen.compareTo(eliminado.origen) == 0) {
                    
                    int i = this.list1.getSelectedIndex();
                    list1.remove(this.list1.getSelectedIndex()); //Se elimina de la lista.
                    this.ficheros.add(editado); //Se añade a la lista
                    
                    list1.add(editado.toString(),i);
                    
                    
                    return;
                }
                
                
                if (this.contiene(editado) == false) {
                    
                    if (workflow.existeDependenciaDelFichero(this.interfaz.tarea, ficheroseleccionado) == true) {
                        
                        JOptionPane dialog = new JOptionPane();
                        String string1 = "Sí";
                        String string2 = "No";
                        Object[] options = {string1, string2};
                        int n = JOptionPane.showOptionDialog(null,
                                "The selected file has dependencies in another tasks, so removing it, these dependencies will be broken.Would you like to continue?",
                                "Caution",
                                JOptionPane.YES_NO_OPTION,
                                JOptionPane.QUESTION_MESSAGE,
                                null,     //don't use a custom Icon
                                options,  //the titles of buttons
                                string2); //the title of the default button
                        
                        
                        if (n != 1) {
                            
                            this.interfaz.interfaz.workflow_actual.eliminarFicherodeDependencia(this.interfaz.tarea,ficheroseleccionado);
                            this.interfaz.tarea.actualizaFicheroEntrada(eliminado,editado,false);
                        }
                        
                        else {
                            this.ficheros.add(eliminado);
                            
                            return;
                        }
                        
                        
                        
                        
                    }
                    
                    
                    int i = this.list1.getSelectedIndex();
                    list1.remove(this.list1.getSelectedIndex()); //Se elimina de la lista.
                    this.ficheros.add(editado); //Se añade a la lista
                    
                    list1.add(editado.toString(),i);
                    
                    
                    
                    /*Ahora hay que editar las dependencias a este fichero*/
                    //////////////////////////////////////////////////////////////
                    /*Hay que crear un método para actualizar las dependencias con la nueva informacion*/
                    
                    
                    
                }
                
                else if (this.contiene(editado)){
                    
                    
                    JOptionPane dialog = new JOptionPane();
                    
                    JOptionPane.showMessageDialog(this, "This file actually exists on the list", "Error", JOptionPane.ERROR_MESSAGE);
                    //Ahora hay que deshacer todo lo anterior.
                    
                    this.ficheros.add(eliminado);
                    
                    return;
                }
                
            }
            
            
            
            
        }
        
    }//GEN-LAST:event_jEditarMouseClicked
    
    
    
    private void jAnadirFicheroMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jAnadirFicheroMouseClicked
        
        
        /*Los cambios realizados al añadir fichero no serán almacenados hasta que no se acepte en el cuadro
         de diálogo de editara tareas, mientras que los cambios relacionados con la edición y eliminación de ficheros
         relacionados con las dependencias serán editados o eliminados en el acto.*/
        
        AddInputFile dialog = new AddInputFile(parent,true,null,null,false,conexion,true);
        
        dialog.setVisible(true);
        
        if (dialog.aceptar == true) {
            if (this.contiene(dialog.getFichero()) == false) {
                Fichero aux = dialog.getFichero();
                
                ficheros.add(aux);
                
                this.list1.add(aux.toString());
                
            }
            
            else {
                
                JOptionPane dialogo = new JOptionPane();
                
                JOptionPane.showMessageDialog(this, "This file has already been added", "Error", JOptionPane.ERROR_MESSAGE);
                
            }
        }
    }//GEN-LAST:event_jAnadirFicheroMouseClicked
    
    /** Closes the dialog */
    private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
        setVisible(false);
        dispose();
    }//GEN-LAST:event_closeDialog
    
    
    
    
    // Declaración de varibales -no modificar//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JButton jButton6;
    private javax.swing.JPanel jPanel1;
    private java.awt.Label label1;
    private java.awt.List list1;
    // Fin de declaración de variables//GEN-END:variables
    
}
