/*
 * DisplayEstadoConexion.java
 *
 * Created on 22 de octubre de 2007, 15:07
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
/* -------------------------------------------------------------------------- */
/* Copyright 2007-2008, Iván Fernández Hernández <rayban1984@gmail.com>       */
/*                                                                            */
/* Licensed under the Apache License, Version 2.0 (the "License"); you may    */
/* not use this file except in compliance with the License. You may obtain    */
/* a copy of the License at                                                   */
/*                                                                            */
/* http://www.apache.org/licenses/LICENSE-2.0                                 */
/*                                                                            */
/* Unless required by applicable law or agreed to in writing, software        */
/* distributed under the License is distributed on an "AS IS" BASIS,          */
/* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   */
/* See the License for the specific language governing permissions and        */
/* limitations under the License.                                             */
/* -------------------------------------------------------------------------- */
package paqInterfaz;

import java.awt.Color;

/**
 *
 * @author rayban
 */
public class DisplayEstadoConexion extends Thread {
    
    /** Creates a new instance of DisplayEstadoConexion */
    GUI interfaz;
    private boolean salir = false;
    public DisplayEstadoConexion(GUI interfaz) {
        this.interfaz = interfaz;
        
        
        
    }
    
    public void run() {
        while(salir == false) {
            try {
                
                Thread.sleep(750);
            } catch (InterruptedException ex) {
                ex.printStackTrace();
            }
            
            if (this.interfaz.conexion != null && this.interfaz.conexion.isConnected()) {
                this.interfaz.imprimirMensajeEstadoConexion("Connected",true,new Color(0,255,0));
                this.interfaz.habilitarConectarMenu(false);
                this.interfaz.habilitarDesconectarMenu(true);
            }
            
            else 
            {
                this.interfaz.imprimirMensajeEstadoConexion("Disconnected",true,new Color(255,102,0));
                this.interfaz.habilitarConectarMenu(true);
                this.interfaz.habilitarDesconectarMenu(false);
            }
           

        }
    }
    
    public void salir() {
        salir = true;
    }
    
}
