/*
 * SelectorFicheros.java
 *
 * Created on 3 de octubre de 2007, 17:15
 */
/* -------------------------------------------------------------------------- */
/* Copyright 2007-2008, Iván Fernández Hernández <rayban1984@gmail.com>       */
/*                                                                            */
/* Licensed under the Apache License, Version 2.0 (the "License"); you may    */
/* not use this file except in compliance with the License. You may obtain    */
/* a copy of the License at                                                   */
/*                                                                            */
/* http://www.apache.org/licenses/LICENSE-2.0                                 */
/*                                                                            */
/* Unless required by applicable law or agreed to in writing, software        */
/* distributed under the License is distributed on an "AS IS" BASIS,          */
/* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   */
/* See the License for the specific language governing permissions and        */
/* limitations under the License.                                             */
/* -------------------------------------------------------------------------- */
package paqInterfaz;

import java.net.URISyntaxException;
import java.util.ArrayList;

/**
 *
 * @author  globus
 */
public class SelectorFicheros extends java.awt.Dialog {
    
    /** Creates new form SelectorFicheros */
    
    GUI interfaz;
    ArrayList ficherosTarea;
    ArrayList ficherosSeleccionados;
    

    
    
    public SelectorFicheros(java.awt.Frame parent, boolean modal,ArrayList ficheros) {
        super(parent, modal);
        GUI  interfaz = (GUI) parent;
        initComponents();
        ficherosTarea = ficheros;
        ficherosSeleccionados = new ArrayList();
        
        for (int i = 0;i<ficheros.size();i++) {
            Fichero aux = (Fichero) ficheros.get(i);
            this.list1.add(aux.toString());
        }
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Código Generado  ">//GEN-BEGIN:initComponents
    private void initComponents() {
        jPanel1 = new javax.swing.JPanel();
        list1 = new java.awt.List();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        list2 = new java.awt.List();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();
        jButton1 = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();

        setAlwaysOnTop(true);
        setResizable(false);
        setTitle("Selecciona los ficheros dependientes");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                closeDialog(evt);
            }
        });

        list1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                list1MouseClicked(evt);
            }
        });

        jLabel1.setText("Task 1 output files:");

        jLabel2.setText("Selected files:");

        list2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                list2MouseClicked(evt);
            }
        });

        jScrollPane1.setBorder(null);
        jTextArea1.setColumns(20);
        jTextArea1.setEditable(false);
        jTextArea1.setRows(2);
        jTextArea1.setText("Select which task 1 output files will be needed as task 2 input files.\n");
        jScrollPane1.setViewportView(jTextArea1);

        jButton1.setText("Accept");
        jButton1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jFinalizarMouseClicked(evt);
            }
        });

        jLabel3.setText("(Right Click to remove from list)");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jLabel2)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel3))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(14, 14, 14)
                                .add(jLabel1))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(46, 46, 46)
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(list2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 311, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(list1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 311, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(26, 26, 26)
                        .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 391, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(168, 168, 168)
                        .add(jButton1)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(14, 14, 14)
                .add(jLabel1)
                .add(20, 20, 20)
                .add(list1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 182, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(28, 28, 28)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(jLabel3))
                .add(19, 19, 19)
                .add(list2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 191, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jButton1)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        add(jPanel1, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents
    
    private void list2MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_list2MouseClicked
        
        if (evt.getButton() == evt.BUTTON3 && evt.getClickCount() == 1) {
            if (list2.getSelectedIndex() != -1) {
                {
                this.eliminarFichero(list2.getSelectedItem());
                list2.remove(list2.getSelectedIndex());

                }
            }
        }
    }//GEN-LAST:event_list2MouseClicked
    
    private void list1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_list1MouseClicked
        
        if (list1.getSelectedIndex() != -1) {
            String fichero_seleccionado = list1.getSelectedItem();
            
            String partes[] = fichero_seleccionado.split(" ");
            
            Fichero aux = null;
            try {
                if (partes.length > 1)
                    aux = new Fichero(false,false,partes[0],partes[1],false); //Los ficheros dependientes siempre son remotos
                else
                    aux = new Fichero(false,false,partes[0],"",false);
                if (list2Contiene(fichero_seleccionado) == false)
                {
                    this.ficherosSeleccionados.add(aux); //Se añade sin  convertir
                     this.list2.add(aux.toString());
                }
            } catch (URISyntaxException ex) {
                ex.printStackTrace();
                return;
            }
            
           
            
           
           
        }
        
    }//GEN-LAST:event_list1MouseClicked
    
    private void jFinalizarMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jFinalizarMouseClicked
        setVisible(false);
        dispose();
    }//GEN-LAST:event_jFinalizarMouseClicked
    
    /** Closes the dialog */
    private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
        setVisible(false);
        dispose();
    }//GEN-LAST:event_closeDialog
    
    
    public ArrayList getSelectedFiles() {
        
        /*Hay que convertir los ficheros de salida en entrada*/
        
        
        
        return this.ficherosSeleccionados;
    }
    
    
    private void eliminarFichero(String name)
    {
        for (int i = 0;i<this.ficherosSeleccionados.size();i++)
        {
            Fichero aux = (Fichero) this.ficherosSeleccionados.get(i);
            
            if (aux.iguales(name) == true)
            {
                this.ficherosSeleccionados.remove(i);
                break;
            }
        }
    }
    
    public boolean list2Contiene(String fichero) {
        String[] items = this.list2.getItems();
        
        for (int i = 0;i<items.length;i++) {
            if (items[i].compareTo(fichero) == 0)
                return true;
        }
        
        return false;
    }
    
    
    // Declaración de varibales -no modificar//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextArea jTextArea1;
    private java.awt.List list1;
    private java.awt.List list2;
    // Fin de declaración de variables//GEN-END:variables
    
}
